Subject: Update guile-bytestructures to 2.0.2.

From: Vagrant Cascadian <[email-masked]>
Date: Tue, 20 Aug 2024 12:11:46 -0700

The attached patch updates to guile-bytestructures 2.0.2.

I am not sure if the other previously suggested changes are still
needed; I did successfully build most of the packages listed by "guix
refresh --list-dependent" other than guix-jupyter... though I only
tested on x86_64. Hopefully QA picks this up and gives us better
information.

FWIW, the updated guile-bytestructures seems to work fine in Debian. :)

live well,
  vagrant
From 56dd4f2f1635c450bd62138c9c0e92f77427576f Mon Sep 17 00:00:00 2001
From: Vagrant Cascadian <[email-masked]>
Date: Tue, 20 Aug 2024 11:57:29 -0700
Subject: [PATCH] gnu: guile-bytestructures: Update to 2.0.2.

* gnu/packages/guile.scm (guile-bytestructures): Update to 2.0.2.
[source]: Adjust tag used to fetch git commit.
---
 gnu/packages/guile.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/guile.scm b/gnu/packages/guile.scm
index e8705dc7d2..581f188dbe 100644
--- a/gnu/packages/guile.scm
+++ b/gnu/packages/guile.scm
@@ -786,17 +786,17 @@ (define-public guile2.2-sqlite3
 (define-public guile-bytestructures
   (package
     (name "guile-bytestructures")
-    (version "1.0.10")
+    (version "2.0.2")
     (home-page "https://github.com/TaylanUB/scheme-bytestructures")
     (source (origin
               (method git-fetch)
               (uri (git-reference
                     (url home-page)
-                    (commit version)))
+                    (commit (string-append "v" version))))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "14k50jln32kkxv41hvsdgjkkfj6xlv06vc1caz01qkgk1fzh72nk"))))
+                "1dyhf39s16q3fvps0mfb65xrlcb8rk8m5kc82ngkwhzmf1svalpc"))))
     (build-system gnu-build-system)
     (arguments
      `(#:make-flags '("GUILE_AUTO_COMPILE=0")     ;to prevent guild warnings

base-commit: bef48dd553aef3c8fb3bc48143739debb629c825
-- 
2.39.2